Broken pipe during install

At the end of the PI install I got the following

Submodule path ‘test/fixtures/testapps’: checked out '4f973a1df7c7c0d71deaaca76995651cb924e475’
npm WARN deprecated to-iso-string@0.0.2: to-iso-string has been deprecated, use @segment/to-iso-string instead.
npm WARN deprecated jade@0.26.3: Jade has been renamed to pug, please install the latest version of pug instead of jade
npm WARN deprecated minimatch@0.3.0: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated MD5@1.2.2: deprecated, use lowercase ‘md5@2.x’ from now on
npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated node-uuid@1.4.8: Use uuid module instead
packet_write_wait: Connection to 10.0.0.11 port 22: Broken pipe

When I try to run:

pi@raspberrypi:~/matrix-os$ NODE_ENV=rc node index.js
module.js:457
throw err;
^

Error: Cannot find module 'lodash’
at Function.Module._resolveFilename (module.js:455:15)
at Function.Module._load (module.js:403:25)
at Module.require (module.js:483:17)
at require (internal/module.js:20:19)
at Object. (/home/pi/matrix-os/index.js:17:5)
at Module._compile (module.js:556:32)
at Object.Module._extensions…js (module.js:565:10)
at Module.load (module.js:473:32)
at tryModuleLoad (module.js:432:12)
at Function.Module._load (module.js:424:3)

It looks like the connection is broken before the install is finished.

Does it do that every time in a repeatable spot? I’m kind of baffled as to why your machine would suddenly disconnect on npm install.

Yes. I have run it twice and the results were the same. I am doing the install with bash running on Win 10. Not sure if that has anything to do with the problem. BTW I am a noob to unix.